> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Products.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/Products
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Products:
    get:
      tags:
        - Products
      summary: Query Products.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/ProductDetailResponseDTODynamicQueryPagedDTO
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProductDetailResponseDTODynamicQueryPagedDTO
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/ProductDetailResponseDTODynamicQueryPagedDTO
components:
  schemas:
    ProductDetailResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProductDetailResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    ProductDetailResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        state:
          $ref: '#/components/schemas/ProductState'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        favorite:
          type: boolean
        sku:
          type: string
        stockAmount:
          type: integer
          format: int32
        availableStock:
          type: integer
          format: int32
        receivedItemAmount:
          type: integer
          format: int32
        damagedItemAmount:
          type: integer
          format: int32
        expiredAmount:
          type: integer
          format: int32
        lostItemAmount:
          type: integer
          format: int32
        integration:
          $ref: '#/components/schemas/IntegrationDetailResponseDTO'
        imageUrl:
          type: string
        name:
          type: string
        barcodes:
          type: array
          items:
            type: string
        type:
          $ref: '#/components/schemas/ProductType'
        category:
          type: string
        sioc:
          type: boolean
        width:
          type: number
          format: double
        length:
          type: number
          format: double
        height:
          type: number
          format: double
        weight:
          type: number
          format: double
        unitOfDimension:
          type: string
        unitOfWeight:
          type: string
      additionalProperties: false
    ProductState:
      enum:
        - Active
        - Disabled
        - Deleted
      type: string
    IntegrationDetailResponseDTO:
      type: object
      properties:
        integrationType:
          $ref: '#/components/schemas/IntegrationType'
        integrationName:
          type: string
      additionalProperties: false
    ProductType:
      enum:
        - Product
        - Bundle
      type: string
    IntegrationType:
      enum:
        - CudExcludedIntegrations
        - SyncExcludedIntegrations
        - InventoryNotificationExcludedIntegrations
        - FulfillmentNotificationExcludedIntegrations
        - FulfillmentNotificationViaPackage
        - CreatePackageByQuantity
        - Oplog
        - Shopify
        - OpenApi
        - Custom
        - WooCommerce
        - Ticimax
        - TSoft
        - Default
        - Entegra
        - Trendyol
        - OrderDesk
        - Sentos
      type: string
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````